#!/bin/awk -f
## Converter of the Turbina configuration files into the list
## of Section/Subsection/ParamName = ParamValue lines as in mass-files.
## Usage: -v DATE="YYYY-MM-DD HH:MM:SS" <cfg-file>
{
	i = index($0,";");
	if (i>0) { $0 = substr($0,1,i-1) ;}
	gsub("\"","")
	gsub(","," ")
	
	p1 = tolower($1);
	for (i=2;i<=NF;i++) {
		if (i==2) {pv = $2} else {pv = pv" "$(i)}
	}
	if (p1=="section") { SN = pv; } else {
		if (p1=="subsection") {SSN = pv} else {
			if (p1!="endsubsection" && p1!="endsection") {
				pn = SN"\\"SSN"\\"$1
				print "P "DATE" "pn"="pv
			}
		}
	}
}
