#!/bin/awk -f
# Extracts log information from MASS files
# usage: log.awk <mass-file> >>log-file
BEGIN{ print ARGV[1]; nprof=0; UT1=0;
smin = 100; smax = 0; s = 0; }
{
    if ($1 == "O") print $0;
    if ($1 == "A")      {
    nprof++; UT=$3; 
    if (UT1 ==0) {UT1=UT} 
    s = s + $4;
    if ($4 > smax) smax=$4;
    if ($4 < smin) smin = $4; }
}
END{print "Nprof:",nprof,"UT:",UT1,"-",UT,"Min-Ave-Max Fsee:",smin,s/nprof,smax} 
