#include "trbscenario.h"
#include "tools.h"

namespace trbscenario {
	mode _count_mode = NORMAL_MODE;
	mode _old_count_mode;
}

trbscenario::mode trbscenario::getMode(void) {
	return _count_mode;
}

void trbscenario::setMode(mode which) {
	_count_mode = which;
}

void trbscenario::fixMode(void) {
	_old_count_mode = _count_mode;
}

void trbscenario::setLastMode(mode which) {
	_old_count_mode = which;
}

bool trbscenario::isLastMode(mode which) {
	return( which == _old_count_mode);
}

bool trbscenario::testMirror(mode which) {
	switch(which) {
		case PLAYBACK_MODE		:
		case EXCHANGE_TEST_MODE	:
		case QUIT_PROGRAM		:
		case END_OF_PROGRAM		:
		case UNDEFINED_MODE		:
									return false;
		default					:	return true;
	}
}
