%{!?extrarelease: %define        extrarelease default }
%{!?extraconfig:  %define        extraconfig  %{nil} }

Name:           turbina
Version:        2.048
Release:        2
Summary:        Software for the MASS
Copyright:      GPL
Group:          Applications/Science
Packager:       Matwey V. Kornilov
Vendor:         The MASS Group
URL:            http://dragon.sai.msu.ru/mass
Source0:        %{name}-%{version}.tar.gz
Source1:        help.txt
Source2:        turbina_dirs.tar.gz
Source3:        turbina.sh
Source4:        turbina.csh
#Patch0:         optpath.patch
#Patch1:         destdir.patch
#Patch2:         configure_fixrs485.patch
BuildRoot:      %{_tmppath}/%{name}-root
ExclusiveOS:    linux
Provides:       turbina
Requires:       turbina-data

%define         prefix          /opt/turbina
%define         _prefix         %{prefix}

%description
!!!Put description here!!!

Authors:
--------
        * O. Voziakova <ovoz@sai.msu.ru>
        * N. Shatsky <kolja@sai.msu.ru>

%package -n turbina-data
Group:          Applications/Science
Summary:        Data for software for the MASS
Provides:       turbina-data
Requires:       turbina

%description -n turbina-data
!!!Put description here!!!

%package -n turbina-%{extrarelease}
Group:          Applications/Science
Summary:        Exe file for software for the MASS
Provides:       turbina-exe
Requires:       turbina rs485

%description -n turbina-%{extrarelease}
!!!Put description here!!!

Build options:
--------
./configure : %{extraconfig}

%package -n turbina-utils
Group:          Applications/Science
Summary:        atmos, weif, etc... turbina utils
Provides:       turbina-utils
Requires:       turbina

%description -n turbina-utils
!!!Put description here!!!

%prep
%setup
#%patch0 -p0
#%patch1 -p0
#%patch2 -p0

%build
%configure %{extraconfig}
%{__make}
%{__make} utils

%install
%{__make} DESTDIR=$RPM_BUILD_ROOT install
%{__make} DESTDIR=$RPM_BUILD_ROOT install-utils
%{__install} -c -D -m 755 %{S:3} $RPM_BUILD_ROOT/etc/profile.d/%(basename %{S:3})
%{__install} -c -D -m 755 %{S:4} $RPM_BUILD_ROOT/etc/profile.d/%(basename %{S:4})
%{__install} -c -D -m 644 %{S:1} $RPM_BUILD_ROOT%{_prefix}/doc/help.txt
cd $RPM_BUILD_ROOT%{_prefix}
%{__tar} -zxf %{S:2}
%{__mv} turbina/config etc
%{__mv} turbina data

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%pre
/usr/sbin/groupadd -r mass
/usr/sbin/useradd -r -o -g mass -s /bin/false -c "MASS account" -d %{_prefix}/data mass
/usr/sbin/usermod mass -A uucp

%files
%defattr(-,mass,mass)
%dir %{_prefix}
%dir %{_bindir}
%dir %{_prefix}/etc
%dir %{_prefix}/doc
%attr(0644,root,root) /etc/profile.d/turbina.sh
%attr(0644,root,root) /etc/profile.d/turbina.csh
%config %{_prefix}/etc/turbina.cfg
%config %{_prefix}/etc/device.cfg
%config %{_prefix}/etc/status.dat
%{_prefix}/etc/readme
%{_prefix}/doc/help.txt

%files -n turbina-%{extrarelease}
%attr(4755,mass,mass) %{_bindir}/turbina

%files -n turbina-data
%defattr(0644,mass,mass,0755)
%{_prefix}/data

%files -n turbina-utils
%defattr(0644,mass,mass)
%attr(755,mass,mass) %{_bindir}/atmos
%attr(755,mass,mass) %{_bindir}/cnt2asc
%attr(755,mass,mass) %{_bindir}/weif
%attr(755,mass,mass) %{_bindir}/turgraph
%{_prefix}/share/rescripts

