#include <math.h>
#include "nrutil.h"
#include "nr.h"
/**< nr.h is modified! erf*() are commented to avoid conflicts with math.h; 
float->double; also all declarations of utilities are included there by:
#include "nrutil.h" in NR_CPP mode. The utilities are converted, to obey the
rules of C++
- declarations of external functions are removed from the function bodies 
(instead, #include "nr.h" serves); 
- arguments are supplied with their types in parentheses (nothing is thus in 
between the arguments in parentheses and the function body {...}, 
- all the function names are prefixed with nr:: (i.e. belong to namespace "nr");
- all the calls to nrerror() are followed by instruction 'return'. */

/* Include here the modified version of qromo.c with relative precision 
option : qromo2.c: */

#define float double 
#include "qromo2.c"
#include "midpnt.c"
#include "polint.c"
#include "ratint.c"
#include "hunt.c"
#include "bessj1.c"
#include "spline.c"
#include "splint.c"
#include "gammln.c"
#include "poidev.c"
#include "gasdev.c"
#include "four1.c"
#include "ran1.c"
#include "ran2.c"
#include "sort.c"
#include "svdcmp.c"
#include "svbksb.c"
#include "linmin.c"
#include "mnbrak.c"
#include "f1dim.c"
#include "brent.c"
#include "powell.c"

